# Flash light / alarm light controller

## Overview

This app controls a turning flash light by controlling a motor driver. This could be used as a generic motor driver app as well, but so far it isn't. ;-)

Hardware used:
- Wemos ESP8266 (any should work)
- Wemos Motor Driver

Be aware, that the Wemos Motor Driver is delivered with a software bug, that stalls the driver, after which it does not accept any further commands until it is reset again. You may fix this by applying a software update to the Motor Driver board, see https://hackaday.io/project/18439-motor-shield-reprogramming or https://oberguru.net/elektronik/wemos/wemos-motor-shield.html.
Nevertheless, this software has been changed to cope with the bug, thus it should work even with the buggy firmware installed.


## How to install this app

- Install and start [mos tool](https://mongoose-os.com/software.html)
- Switch to the Project page, find and import this app, build and flash it:

<p align="center">
  <img src="https://mongoose-os.com/images/app1.gif" width="75%">
</p>
